Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19
Compiling problems
Results 1 to 4 of 4

Thread: Compiling problems

  1. #1

    Compiling problems

    Hi ppl for some reason I cannot compile "gaim 0.62" the error I get is

    "Could not run GLIB test program, checking why...
    *** The test program failed to compile or link. See the file config.log for the
    *** exact error that occured. This usually means GLIB is incorrectly installed.
    configure: error:
    *** GLib 2.0 is required to build Gaim; please make sure you have the GLib
    *** development headers installed. The latest version of GLib is
    *** always available at http://www.gtk.org/."

    I think I installed it right by typing "./configure && make then su make install" so is there something I missed or something need to be edited??

  2. #2

    Re:Compiling problems

    What distro are you running again? Isn't it SuSE? If that's the case there's probably an rpm kicking around that will solve this for you.

  3. #3

    Re:Compiling problems

    sounds like you're missing a library see if you have a package called glib-dev or something close to that.

  4. #4

    Re:Compiling problems

    as root try ldconfig -p |grep glib
    if you don't get any response the dynamic linker dosent know where glib is installed, find where glib is installed and ad the path /usr/share/lib/glib/ or something else to /etc/ld.so.conf
    otherwise there's something else check that you actually have 2.0 glib or refer to Tyr_7BE post.

Similar Threads

  1. boot problems after compiling kernel 2.6.6
    By Buller in forum Linux - General Topics
    Replies: 7
    Last Post: 08-13-2004, 04:45 PM
  2. problems compiling fealnx.c
    By jjanela in forum Linux - Software, Applications & Programming
    Replies: 15
    Last Post: 01-04-2003, 10:54 AM
  3. compiling
    By friskydrifter in forum Linux - Software, Applications & Programming
    Replies: 5
    Last Post: 07-23-2002, 02:55 AM
  4. Problems compiling KDE3
    By CP in forum Linux - Software, Applications & Programming
    Replies: 3
    Last Post: 06-08-2002, 03:14 AM
  5. LFS - Help - Compiling gcc
    By gmoreno in forum Linux - General Topics
    Replies: 6
    Last Post: 02-10-2002, 02:58 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •